Subject: Re: [PATCH v3] packfile: freshen the mtime of packfile by configuration

From: Taylor Blau <[email-masked]>
Date: Tue, 20 Jul 2021 12:53:33 -0400

On Tue, Jul 20, 2021 at 11:00:18PM +0800, Sun Chao wrote:
> Meanwhile I find the description of the cached file system for NFS Client:
>    https://www.ibm.com/docs/en/aix/7.2?topic=performance-cache-file-system
> It is mentioned that:
>
>   3. To ensure that the cached directories and files are kept up to date,
>      CacheFS periodically checks the consistency of files stored in the cache.
>      It does this by comparing the current modification time to the previous
>      modification time.
>   4. If the modification times are different, all data and attributes
>      for the directory or file are purged from the cache, and new data and
>      attributes are retrieved from the back file system.
>
> It looks like reasonable, but perhaps I should check it from my test reports ;)

That seems reasonable, assuming that you have CacheFS mounted and that's
what you're interacting with (instead of talking to NFS directly).

It seems reasonable that CacheFS would also have some way to tune how
often the "purge cached blocks because of stale mtimes" would kick in,
and what the grace period for determining if an mtime is "stale" is. So
hopefully those values are (a) configurable and (b) you can find values
that result in acceptable performance.

Thanks,
Taylor